// ************************************************
// SmVR_CObjFromFile.cpp
//	Implement the VIRTUAL class that reads
//	geometric objects
//
//  Author: Marcio Serolli Pinho
//	Email: pinho@inf.pucrs.br
//	Homepages:
//		http://www.smallvr.org
//		http://grv.inf.pucrs.br
//		http://www.inf.pucrs.br/~pinho
//
//	Porto Alegre, Brazil, 2002.
// ************************************************
#include <stdio.h>
#include "SmVR_CObjFromFile.h"


// ************************************************
// Render(void)
//
// ************************************************
void SmVR_CObjFromFile::Render(void)
{
   printf("'Render' method from base (virtual) class....\n");
}
// ************************************************
// Load(char *name)
//
// ************************************************
int SmVR_CObjFromFile::Load(char *name)
{
   printf("'Load' method from base (virtual) class.\n");
   return 1;
}

// ************************************************
// Load(char *name)
//
// ************************************************
int SmVR_CObjFromFile::Load(char *name, int useRAPID)
{
   printf("'Load' method from base (virtual) class.\n");
   return 1;
}
// ************************************************
// ~SmVR_CObjFromFile(void)
//
// ************************************************
void SmVR_CObjFromFile::GetBoundaries(SmVR_CPoint *min, SmVR_CPoint *max)
{
   printf("'GetBoundaries' from base (virtual) class.\n");
}

// ************************************************
// Method: Collided(SmVR_CObjFromFile *obj)
// Description: returns the collision model
// for this object.
//
// ************************************************
int SmVR_CObjFromFile::Collided(SmVR_CObjFromFile *obj,SmVR_Matrix mtx1,SmVR_Matrix mtx2,int mode)
{
   printf("'Collided' from base (virtual) class.\n");
   return 1;
}

// ************************************************
// ~SmVR_CObjFromFile(void)
//
// ************************************************
SmVR_CObjFromFile::~SmVR_CObjFromFile(void)
{
   printf("'Destructor' from base (virtual) class.\n");
}
